Subject: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Mar 2021 17:54:50 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 21 Mar 2021 15:41:48 +0000
> 
> I was thinking, the only downside I see of this solution is that while
> we can tweak the build system to signal to Emacs that a certain file
> being compiled will be used for dump, this will indeed not be possible
> for subsequent dumps.

I don't think I follow: why would this be impossible for subsequent
dumps?

Maybe I should describe the use case this is supposed to solve.
Imagine a repository where Emacs is being built regularly, and where
old Emacs builds are kept for long periods of time, together with
their *.pdmp files.  So we will have emacs-28.0.50.1, emacs-28.0.50.2,
... emacs-28-0.50.1000, ..., and their respective *.pdmp files.  The
intent is to be able to run these old binaries for quick "bisecting"
of issues reported by users.  This is what I do on my system: I keep
one build from each of the previous months, and delete the rest.

Until native-comp, keeping the binary and the .pdmp file was enough
for being able to run that binary.  With native-comp, we also need the
*.eln files that were dumped into each of the *.pdmp files.  I'm
trying to find a reasonable solution to this problem.